Installproblem Oracle+ RT3.6 initscript cannot create system user

I have installed RT 3.6 on Ubuntu server 8.04 LTS, using the apt-get
packages.
I want to use Oracle 10.0.2.4 on a different server.
On the RT-host I can connect with sqlplus (tnsnames),
and with
perl -MDBI -le 'DBI->connect(“DBI:Oracle:busk”,“busk”,“password”)'
user busk has dba-role

I haven’t managed to get the RT-scripts use the tnsnames, but managed by
specifying
Set($DatabaseHost, ‘192.168.0.18’);
in RT_SiteConfig.pm

When I run the initscript, the user is created, with tables,sequences a.s.o.

But the scipt stops with the following message:

root@RequestTr:~# TWO_TASK=FOO /usr/sbin/rt-setup-database-3.6 --action
init --dba busk --prompt-for-dba-password
In order to create or update your RT database,this script needs to
connect to your Oracle instance on 192.168.0.18 as busk.
Please specify that user’s database password below. If the user has no
database
password, just press return.

Password:
Now creating a database for RT.
Creating Oracle database BUSK10.
Done setting up database ACLs.
Now populating database schema.
Creating database schema.
Done setting up database schema.
Now inserting database ACLs
Now inserting RT core system objects
Checking for existing system user…not found. This appears to be a new
installation.
Creating system user…Could not create user
root@

My knowledge of perl er almost nil, but studying the scripts, and of
course sources on Internet have helped me so far -
but now I am really stuck ;-(

I hope someone can give me a clue to the solution.

Med venlig Hilsen

Hans Erik Busk
Mads-udvikler
mads@busk.dk
tlf. 5544 1401
(mobil 4013 1401 normalt slukket)

Mads wrote:

I have installed RT 3.6 on Ubuntu server 8.04 LTS, using the apt-get
packages.
I want to use Oracle 10.0.2.4 on a different server.
On the RT-host I can connect with sqlplus (tnsnames),
and with
perl -MDBI -le 'DBI->connect(“DBI:Oracle:busk”,“busk”,“password”)'
user busk has dba-role

It has been a long time since I installed RT 3.6 and I know that I have
seen that error before but can’t remember exactly what the solution
was. I think it was to give my rt-user the DBA role but that is
something you already did.

May I ask why you’re trying to install RT 3.6 instead of the latest RT
3.8.7?

Regards,

Joop